Skip to main content
POST
Create Campaign

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Abfrageparameter

vendor_id
string
erforderlich

The ID of the vendor to create the campaign for.

Body

application/json
dsps
enum<string>[]
erforderlich

The DSPs to create the campaign for.

Minimum array length: 1
Verfügbare Optionen:
google_ads,
meta
Beispiel:
name
string
erforderlich

The name of the campaign

Maximum string length: 35
Pattern: ^[^;"'<>\#\|,\ \ \\]*[^;"'<>\#\|,\ \ \\\s][^;"'<>\#\|,\ \ \\]*$
startDate
string<date-time>
erforderlich

The start date of the campaign

endDate
string<date-time>
erforderlich

The end date of the campaign

budget
integer<int64>
erforderlich

The daily budget in minor units of currency according to ISO 4217.

Beispiel:

1000

targetRoas
number
erforderlich

Target ROAS of the campaign. Acceptable values are between 1.0 and 20.0. Topsort maps this value to the closest equivalent bidding configuration supported by each DSP.

Erforderlicher Bereich: 1 <= x <= 20
Beispiel:

3

locationIds
string[]
erforderlich

The DSP-native location IDs to target. Retrieve available IDs via GET /offsite-ads/marketplace/geolocations and use the values from dspLocationIds for the target DSP. Reference: Google Ads geo targets (https://developers.google.com/google-ads/api/data/geotargets), Meta region IDs (https://developers.facebook.com/docs/marketing-api/audiences/reference/targeting-search#regions).

Minimum array length: 1
Beispiel:
productIds
string[] | null

The product ids to target. These are the product ids from the catalog. If not provided, all products will be targeted.

Minimum array length: 5
Beispiel:
audienceIds
string[] | null

The audience ids to target. These are the audience ids from each DSP platform. Currently, only one audience is supported. If not provided, no audience will be targeted.

Maximum array length: 1
Beispiel:

Antwort

Successful Response

jobId
string<uuid>
erforderlich

The unique identifier for the queued job.